Skip to content

Complete login with TOTP or recovery code

POST
/api/v1/auth/login/verify-2fa
curl --request POST \
--url https://api.totalview.energy/api/v1/auth/login/verify-2fa \
--header 'Content-Type: application/json' \
--data '{ "mfa_token": "example", "totp_code": "example", "recovery_code": "example" }'

Verify TOTP code or recovery code to complete 2FA login.

Media type application/json
VerifyMfaRequest
object
mfa_token
required
Mfa Token
string
totp_code
Any of:
string
recovery_code
Any of:
string
Example generated
{
"mfa_token": "example",
"totp_code": "example",
"recovery_code": "example"
}

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}